package com.hfkj.dao;

import com.hfkj.entity.EnTransportCompany;
import com.hfkj.entity.EnTransportCompanyExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface EnTransportCompanyMapper extends EnTransportCompanyMapperExt {
    @SelectProvider(type=EnTransportCompanySqlProvider.class, method="countByExample")
    long countByExample(EnTransportCompanyExample example);

    @DeleteProvider(type=EnTransportCompanySqlProvider.class, method="deleteByExample")
    int deleteByExample(EnTransportCompanyExample example);

    @Delete({
        "delete from en_transport_company",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into en_transport_company (address, person, ",
        "contact_info, `name`, ",
        "`status`, create_user, ",
        "create_user_name, create_time, ",
        "update_user, update_user_name, ",
        "update_time, ext_1, ",
        "ext_2, ext_3)",
        "values (#{address,jdbcType=VARCHAR}, #{person,jdbcType=VARCHAR}, ",
        "#{contactInfo,jdbcType=VARCHAR}, #{name,jdbcType=VARCHAR}, ",
        "#{status,jdbcType=INTEGER}, #{createUser,jdbcType=BIGINT}, ",
        "#{createUserName,jdbcType=VARCHAR}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{updateUser,jdbcType=BIGINT}, #{updateUserName,jdbcType=VARCHAR}, ",
        "#{updateTime,jdbcType=TIMESTAMP}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(EnTransportCompany record);

    @InsertProvider(type=EnTransportCompanySqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(EnTransportCompany record);

    @SelectProvider(type=EnTransportCompanySqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="address", property="address", jdbcType=JdbcType.VARCHAR),
        @Result(column="person", property="person", jdbcType=JdbcType.VARCHAR),
        @Result(column="contact_info", property="contactInfo", jdbcType=JdbcType.VARCHAR),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_user", property="createUser", jdbcType=JdbcType.BIGINT),
        @Result(column="create_user_name", property="createUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_user", property="updateUser", jdbcType=JdbcType.BIGINT),
        @Result(column="update_user_name", property="updateUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<EnTransportCompany> selectByExample(EnTransportCompanyExample example);

    @Select({
        "select",
        "id, address, person, contact_info, `name`, `status`, create_user, create_user_name, ",
        "create_time, update_user, update_user_name, update_time, ext_1, ext_2, ext_3",
        "from en_transport_company",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="address", property="address", jdbcType=JdbcType.VARCHAR),
        @Result(column="person", property="person", jdbcType=JdbcType.VARCHAR),
        @Result(column="contact_info", property="contactInfo", jdbcType=JdbcType.VARCHAR),
        @Result(column="name", property="name", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_user", property="createUser", jdbcType=JdbcType.BIGINT),
        @Result(column="create_user_name", property="createUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_user", property="updateUser", jdbcType=JdbcType.BIGINT),
        @Result(column="update_user_name", property="updateUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    EnTransportCompany selectByPrimaryKey(Long id);

    @UpdateProvider(type=EnTransportCompanySqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") EnTransportCompany record, @Param("example") EnTransportCompanyExample example);

    @UpdateProvider(type=EnTransportCompanySqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") EnTransportCompany record, @Param("example") EnTransportCompanyExample example);

    @UpdateProvider(type=EnTransportCompanySqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(EnTransportCompany record);

    @Update({
        "update en_transport_company",
        "set address = #{address,jdbcType=VARCHAR},",
          "person = #{person,jdbcType=VARCHAR},",
          "contact_info = #{contactInfo,jdbcType=VARCHAR},",
          "`name` = #{name,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_user = #{createUser,jdbcType=BIGINT},",
          "create_user_name = #{createUserName,jdbcType=VARCHAR},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_user = #{updateUser,jdbcType=BIGINT},",
          "update_user_name = #{updateUserName,jdbcType=VARCHAR},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(EnTransportCompany record);
}